find_discords_brute_force {jmotif} | R Documentation

## Finds a discord using brute force algorithm.

### Description

Finds a discord using brute force algorithm.

### Usage

    find_discords_brute_force(ts, w_size, discords_num)

### Arguments

`ts` | the input timeseries.
`w_size` | the sliding window size.
`discords_num` | the number of discords to report.

### References

Keogh, E., Lin, J., Fu, A., HOT SAX: Efficiently finding the most unusual time series subsequence. Proceeding ICDM '05 Proceedings of the Fifth IEEE International Conference on Data Mining

### Examples

    discords = find_discords_brute_force(ecg0606[1:600], 100, 1)
    plot(ecg0606[1:600], type = "l", col = "cornflowerblue", main = "ECG 0606")
    lines(x=c(discords[1,2]:(discords[1,2]+100)),
       y=ecg0606[discords[1,2]:(discords[1,2]+100)], col="red")

[Package jmotif version 1.0.3 Index]